import { ApiClient, BugSplatResponse, Environment } from '../../index';
export declare class BugSplatApiClient implements ApiClient {
    private _host;
    private _environment;
    private _createFormData;
    private _fetch;
    private _headers;
    constructor(_host?: string, _environment?: Environment);
    static createAuthenticatedClientForNode(email: string, password: string, host?: string): Promise<BugSplatApiClient>;
    static createAuthenticatedClientForWebBrowser(email: string, password: string, host?: string): Promise<BugSplatApiClient>;
    createFormData(): FormData;
    fetch(route: string, init?: RequestInit): Promise<BugSplatResponse>;
    login(email: string, password: string): Promise<BugSplatResponse>;
    private parseCookies;
    private parseXsrfToken;
}
