interface CrashData {
    groupByCount: number;
    stackKey: string;
    appName: string;
    appVersion: string;
    appDescription: string;
    userDescription: string;
    user: string;
    email: string;
    crashTime: string;
    defectId: string;
    defectUrl: string;
    defectLabel: string;
    skDefectId: string;
    skDefectUrl: string;
    skDefectLabel: string;
    skComments: string;
    exceptionCode: string;
    exceptionMessage: string;
}
interface CrashDataWithMappedProperties extends CrashData {
    id: number;
    stackId: number;
    stackKeyId: number;
    comments: string;
    ipAddress: string;
}
export interface CrashesApiResponseRow extends CrashData {
    id: string;
    stackId: string;
    stackKeyId: string;
    Comments: string;
    IpAddress: string;
}
export declare class CrashesApiRow implements CrashDataWithMappedProperties {
    id: number;
    groupByCount: number;
    stackKey: string;
    stackId: number;
    stackKeyId: number;
    appName: string;
    appVersion: string;
    appDescription: string;
    userDescription: string;
    user: string;
    email: string;
    ipAddress: string;
    crashTime: string;
    defectId: string;
    defectUrl: string;
    defectLabel: string;
    skDefectId: string;
    skDefectUrl: string;
    skDefectLabel: string;
    comments: string;
    skComments: string;
    exceptionCode: string;
    exceptionMessage: string;
    constructor(rawApiRow: CrashesApiResponseRow);
}
export {};
