interface SummaryData {
    stackKey: string;
    firstReport: string;
    lastReport: string;
    crashSum: string;
    techSupportSubject: string;
    stackKeyDefectId: string;
    stackKeyDefectUrl: string;
    stackKeyDefectLabel: string;
    comments: string;
}
export interface SummaryApiResponseRow extends SummaryData {
    stackKeyId: string;
    subKeyDepth: string;
    userSum: string;
}
interface SummaryDataWithMappedProperties extends SummaryData {
    stackKeyId: number;
    subKeyDepth: number;
    userSum: number;
}
export declare class SummaryApiRow implements SummaryDataWithMappedProperties {
    stackKey: string;
    stackKeyId: number;
    firstReport: string;
    lastReport: string;
    crashSum: string;
    techSupportSubject: string;
    stackKeyDefectId: string;
    stackKeyDefectUrl: string;
    stackKeyDefectLabel: string;
    comments: string;
    subKeyDepth: number;
    userSum: number;
    constructor(stackKey: string, stackKeyId: number, firstReport: string, lastReport: string, crashSum: string, techSupportSubject: string, stackKeyDefectId: string, stackKeyDefectUrl: string, stackKeyDefectLabel: string, comments: string, subKeyDepth: number, userSum: number);
}
export {};
