"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventStreamId = exports.EventStreamType = void 0;
var argument_contracts_1 = __importDefault(require("argument-contracts"));
var EventStreamType;
(function (EventStreamType) {
    EventStreamType["crashId"] = "crashId";
    EventStreamType["stackKeyId"] = "stackKeyId";
})(EventStreamType = exports.EventStreamType || (exports.EventStreamType = {}));
var EventStreamId = (function () {
    function EventStreamId(_a) {
        var type = _a.type, id = _a.id;
        argument_contracts_1.default.assertNumber(id, 'id');
        this.type = type;
        this.id = id;
    }
    return EventStreamId;
}());
exports.EventStreamId = EventStreamId;
//# sourceMappingURL=event-stream-id.js.map