export interface VersionsApiResponseRow {
    symbolId: string;
    appName: string;
    version: string;
    lastUpdate: string;
    firstReport: string;
    lastReport: string;
    size: string;
    reportsPerDay: string | null;
    rejectedCount: string;
    retired: '0' | '1';
    fullDumps: '0' | '1';
}
export declare class VersionsApiRow {
    symbolId: number;
    appName: string;
    version: string;
    lastUpdate: string;
    firstReport: string;
    lastReport: string;
    size: number;
    reportsPerDay: number;
    rejectedCount: number;
    retired: boolean;
    fullDumps: boolean;
    constructor(rawApiRow: VersionsApiResponseRow);
}
